/// <reference types="react" />
declare type AnnotationShapeList = 'circle' | 'triangle' | 'line' | 'none';
export interface AnnotationArrowProps {
    x1: number | string;
    y1: number | string;
    x2: number | string;
    y2: number | string;
    startPoint?: AnnotationShapeList;
    endPoint?: AnnotationShapeList;
    color?: string;
}
export declare function Arrow(props: AnnotationArrowProps): JSX.Element;
export {};
