import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export default function MarkerDefs({ color, id, }) {
    return (_jsxs("defs", { children: [_jsx("marker", { id: `marker-triangle-${id}`, viewBox: "0 0 10 10", refX: "5", refY: "5", markerWidth: "6", markerHeight: "6", orient: "auto-start-reverse", fill: color, children: _jsx("path", { d: "M 0 0 L 10 5 L 0 10 z" }, void 0) }, void 0), _jsx("marker", { id: `marker-circle-${id}`, viewBox: "0 0 10 10", refX: "5", refY: "5", markerWidth: "5", markerHeight: "5", fill: color, children: _jsx("circle", { cx: "5", cy: "5", r: "5", fill: "current" }, void 0) }, void 0), _jsx("marker", { id: `marker-line-${id}`, viewBox: "0 0 10 10", refX: "5", refY: "5", markerWidth: "6", markerHeight: "6", orient: "auto", fill: color, children: _jsx("line", { x1: "5", x2: "5", y1: "0", y2: "10", stroke: "black" }, void 0) }, void 0)] }, void 0));
}
//# sourceMappingURL=MarkerDefs.js.map