import { SVGProps } from 'react';
export interface AnnotationPolygonProps extends Omit<SVGProps<SVGPolygonElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'points'> {
    points: {
        x: number | string;
        y: number | string;
    }[];
}
export declare function Polygon(props: AnnotationPolygonProps): JSX.Element;
