import { CSSProperties } from 'react';
export declare type AnnotationShapeName = 'triangle' | 'circle' | 'diamond' | 'square';
export interface AnnotationShapeProps {
    x: string | number;
    y: string | number;
    shape: AnnotationShapeName;
    size: number;
    style?: CSSProperties;
    color?: string;
}
export declare function Shape(props: AnnotationShapeProps): JSX.Element;
