import { ReactNode, SVGProps } from 'react';
export interface AnnotationTextProps extends Omit<SVGProps<SVGTextElement>, 'x1' | 'y1' | 'x2' | 'y2' | 'x' | 'y' | 'fill'> {
    x: number | string;
    y: number | string;
    color?: string;
    children: ReactNode;
}
export declare function Text(props: AnnotationTextProps): JSX.Element;
