import { ReactElement, ReactNode } from 'react';
interface PlotChildren {
    seriesAndAnnotations: ReactElement[];
    topAxis: ReactElement | null;
    rightAxis: ReactElement | null;
    bottomAxis: ReactElement | null;
    leftAxis: ReactElement | null;
    topHeading: ReactElement | null;
    bottomHeading: ReactElement | null;
    legend: ReactElement | null;
}
/**
 * Validates that all the children inside Plot are supported and organizes them by kind.
 */
export declare function splitChildren(children: ReactNode): PlotChildren;
export {};
