import { SVGProps } from 'react';
export interface AnnotationPolylineProps extends Omit<SVGProps<SVGPolylineElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'points'> {
    points: {
        x: number | string;
        y: number | string;
    }[];
    color: string;
}
export declare function Polyline(props: AnnotationPolylineProps): JSX.Element;
