import { jsx as _jsx } from "react/jsx-runtime";
export default function VerticalText(props) {
    const { transform = '', style, label, ...otherProps } = props;
    return (_jsx("text", { ...otherProps, transform: `${transform}rotate(-90)`, textAnchor: "middle", style: {
            ...style,
            cursor: 'vertical-text',
        }, children: label }, void 0));
}
//# sourceMappingURL=VerticalText.js.map